## DMS Foxconn Set FCC Authentication request DMS Foxconn Set FCC Authentication request |

## Functions

QmiMessageDmsFoxconnSetFccAuthenticationInput * | qmi_message_dms_foxconn_set_fcc_authentication_input_new ()
QmiMessageDmsFoxconnSetFccAuthenticationInput * | qmi_message_dms_foxconn_set_fcc_authentication_input_ref ()
void | qmi_message_dms_foxconn_set_fcc_authentication_input_unref ()
gboolean | qmi_message_dms_foxconn_set_fcc_authentication_input_get_value ()
gboolean | qmi_message_dms_foxconn_set_fcc_authentication_input_set_value ()
QmiMessageDmsFoxconnSetFccAuthenticationOutput * | qmi_message_dms_foxconn_set_fcc_authentication_output_ref ()
void | qmi_message_dms_foxconn_set_fcc_authentication_output_unref ()
gboolean | qmi_message_dms_foxconn_set_fcc_authentication_output_get_result ()
void | qmi_client_dms_foxconn_set_fcc_authentication ()
QmiMessageDmsFoxconnSetFccAuthenticationOutput * | qmi_client_dms_foxconn_set_fcc_authentication_finish ()

## Types and Values

| QmiMessageDmsFoxconnSetFccAuthenticationInput
| QmiMessageDmsFoxconnSetFccAuthenticationOutput

## Object Hierarchy

        GBoxed
        ├── QmiMessageDmsFoxconnSetFccAuthenticationInput
        ╰── QmiMessageDmsFoxconnSetFccAuthenticationOutput

## Description

## Functions

### qmi_message_dms_foxconn_set_fcc_authentication_input_new ()

    QmiMessageDmsFoxconnSetFccAuthenticationInput *
    qmi_message_dms_foxconn_set_fcc_authentication_input_new
                                   (void);

Allocates a new QmiMessageDmsFoxconnSetFccAuthenticationInput.

#### Returns

the newly created QmiMessageDmsFoxconnSetFccAuthenticationInput. The returned value should be freed with `qmi_message_dms_foxconn_set_fcc_authentication_input_unref()`.

Since: 1.28.6

### qmi_message_dms_foxconn_set_fcc_authentication_input_ref ()

    QmiMessageDmsFoxconnSetFccAuthenticationInput *
    qmi_message_dms_foxconn_set_fcc_authentication_input_ref
                                   (QmiMessageDmsFoxconnSetFccAuthenticationInput *self);

Atomically increments the reference count of `self` by one.

#### Parameters

self | a QmiMessageDmsFoxconnSetFccAuthenticationInput. |

#### Returns

the new reference to `self` .

Since: 1.28.6

### qmi_message_dms_foxconn_set_fcc_authentication_input_unref ()

    void
    qmi_message_dms_foxconn_set_fcc_authentication_input_unref
                                   (QmiMessageDmsFoxconnSetFccAuthenticationInput *self);

Atomically decrements the reference count of `self` by one. If the reference count drops to 0, `self` is completely disposed.

#### Parameters

self | a QmiMessageDmsFoxconnSetFccAuthenticationInput. |

Since: 1.28.6

### qmi_message_dms_foxconn_set_fcc_authentication_input_get_value ()

    gboolean
    qmi_message_dms_foxconn_set_fcc_authentication_input_get_value
                                   (QmiMessageDmsFoxconnSetFccAuthenticationInput *self,
                                    guint8 *value_value,
                                    GError **error);

Get the 'Value' field from `self` .

#### Parameters

self | a QmiMessageDmsFoxconnSetFccAuthenticationInput. |
value_value | a placeholder for the output guint8, or `NULL` if not required. | [out][optional]
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

[skip]

Since: 1.28.6

### qmi_message_dms_foxconn_set_fcc_authentication_input_set_value ()

    gboolean
    qmi_message_dms_foxconn_set_fcc_authentication_input_set_value
                                   (QmiMessageDmsFoxconnSetFccAuthenticationInput *self,
                                    guint8 value_value,
                                    GError **error);

Set the 'Value' field in the message.

#### Parameters

self | a QmiMessageDmsFoxconnSetFccAuthenticationInput. |
value_value | a guint8. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if `value` was successfully set, `FALSE` otherwise.

[skip]

Since: 1.28.6

### qmi_message_dms_foxconn_set_fcc_authentication_output_ref ()

    QmiMessageDmsFoxconnSetFccAuthenticationOutput *
    qmi_message_dms_foxconn_set_fcc_authentication_output_ref
                                   (QmiMessageDmsFoxconnSetFccAuthenticationOutput *self);

Atomically increments the reference count of `self` by one.

#### Parameters

self | a QmiMessageDmsFoxconnSetFccAuthenticationOutput. |

#### Returns

the new reference to `self` .

Since: 1.28.6

### qmi_message_dms_foxconn_set_fcc_authentication_output_unref ()

    void
    qmi_message_dms_foxconn_set_fcc_authentication_output_unref
                                   (QmiMessageDmsFoxconnSetFccAuthenticationOutput *self);

Atomically decrements the reference count of `self` by one. If the reference count drops to 0, `self` is completely disposed.

#### Parameters

self | a QmiMessageDmsFoxconnSetFccAuthenticationOutput. |

Since: 1.28.6

### qmi_message_dms_foxconn_set_fcc_authentication_output_get_result ()

    gboolean
    qmi_message_dms_foxconn_set_fcc_authentication_output_get_result
                                   (QmiMessageDmsFoxconnSetFccAuthenticationOutput *self,
                                    GError **error);

Get the result of the QMI operation.

#### Parameters

self | a QmiMessageDmsFoxconnSetFccAuthenticationOutput. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the QMI operation succeeded, `FALSE` if `error` is set.

[skip]

Since: 1.28.6

### qmi_client_dms_foxconn_set_fcc_authentication ()

    void
    qmi_client_dms_foxconn_set_fcc_authentication
                                   (QmiClientDms *self,
                                    QmiMessageDmsFoxconnSetFccAuthenticationInput *input,
                                    guint timeout,
                                    GCancellable *cancellable,
                                    GAsyncReadyCallback callback,
                                    gpointer user_data);

Asynchronously sends a Foxconn Set FCC Authentication request to the device.

When the operation is finished, `callback` will be invoked in the thread-default main loop of the thread you are calling this method from.

You can then call `qmi_client_dms_foxconn_set_fcc_authentication_finish()` to get the result of the operation.

#### Parameters

self | a QmiClientDms. |
input | a QmiMessageDmsFoxconnSetFccAuthenticationInput. |
timeout | maximum time to wait for the method to complete, in seconds. |
cancellable | a GCancellable or `NULL`. |
callback | a GAsyncReadyCallback to call when the request is satisfied. |
user_data | user data to pass to `callback` . |

Since: 1.28.6

### qmi_client_dms_foxconn_set_fcc_authentication_finish ()

    QmiMessageDmsFoxconnSetFccAuthenticationOutput *
    qmi_client_dms_foxconn_set_fcc_authentication_finish
                                   (QmiClientDms *self,
                                    GAsyncResult *res,
                                    GError **error);

Finishes an async operation started with `qmi_client_dms_foxconn_set_fcc_authentication()`.

#### Parameters

self | a QmiClientDms. |
res | the GAsyncResult obtained from the GAsyncReadyCallback passed to `qmi_client_dms_foxconn_set_fcc_authentication()`. |
error | Return location for error or `NULL`. |

#### Returns

a QmiMessageDmsFoxconnSetFccAuthenticationOutput, or `NULL` if `error` is set. The returned value should be freed with `qmi_message_dms_foxconn_set_fcc_authentication_output_unref()`.

Since: 1.28.6

## Types and Values

### QmiMessageDmsFoxconnSetFccAuthenticationInput

    typedef struct _QmiMessageDmsFoxconnSetFccAuthenticationInput QmiMessageDmsFoxconnSetFccAuthenticationInput;

The QmiMessageDmsFoxconnSetFccAuthenticationInput structure contains private data and should only be accessed using the provided API.

Since: 1.28.6

### QmiMessageDmsFoxconnSetFccAuthenticationOutput

    typedef struct _QmiMessageDmsFoxconnSetFccAuthenticationOutput QmiMessageDmsFoxconnSetFccAuthenticationOutput;

The QmiMessageDmsFoxconnSetFccAuthenticationOutput structure contains private data and should only be accessed using the provided API.

Since: 1.28.6